=== debian/changelog ===
spud (1.0.7) unstable; urgency=low

  * Include spud-set and related changes to Diamond and the manual.

 -- David Ham <david.ham@imperial.ac.uk>  Thu, 08 Jan 2009 17:52:43 +0000

spud (1.0.6) unstable; urgency=low

  * Cause spudtools to conflict with older libspud-dev

 -- David Ham <david.ham@imperial.ac.uk>  Mon, 15 Sep 2008 17:33:46 +0100

spud (1.0.5) unstable; urgency=low

  * Split out the schema and spud-preprocess into a separate package.

 -- David Ham <david.ham@imperial.ac.uk>  Mon, 15 Sep 2008 17:06:27 +0100

spud (1.0.4) unstable; urgency=low

  * Diamond plugins now work.
  * Added examples directory and ballistics example.

 -- David Ham <david.ham@imperial.ac.uk>  Mon, 15 Sep 2008 13:56:52 +0100

spud (1.0.3) hardy; urgency=low

  * Move the GDK thread initialisation call.
  * If you think you understand threads, you don't
    understand threads.

 -- Patrick Farrell <patrick.farrell06@imperial.ac.uk>  Thu, 14 Aug 2008 17:27:52 +0100

spud (1.0.2) hardy; urgency=low

  * Fix infinite loop on load due to awkward schema changes. 

 -- Patrick Farrell <patrick.farrell06@imperial.ac.uk>  Thu, 14 Aug 2008 11:29:18 +0100

spud (1.0.1) hardy; urgency=low

  * Fix a few bugs.

 -- Patrick Farrell <patrick.farrell06@imperial.ac.uk>  Tue, 29 Jul 2008 14:50:07 +0100

spud (1.0) unstable; urgency=low

  * Initial release!

 -- David Ham <david.ham@imperial.ac.uk>  Thu, 26 Jun 2008 18:05:51 +0100

spud (0.99) unstable; urgency=low

  * Release candidate

 -- David Ham <david.ham@imperial.ac.uk>  Thu, 26 Jun 2008 15:48:25 +0100

spud (0.9.1) unstable; urgency=low

  * Fix for file reading bug.

 -- David Ham <david.ham@imperial.ac.uk>  Tue, 24 Jun 2008 18:20:19 +0100

spud (0.9) unstable; urgency=low

  * Version with merged in new xml parser.

 -- David Ham <david.ham@imperial.ac.uk>  Mon, 23 Jun 2008 18:19:33 +0100

spud (0.2.5) unstable; urgency=low

  * Bugfix for setting of rank and shape

 -- David Ham <david.ham@imperial.ac.uk>  Mon, 02 Jun 2008 16:24:00 +0100

spud (0.2.4) unstable; urgency=low

  * Various diamond bugs reverted.
  * Interface changes to libspud.
  * Spud is now all double precision independent of compiler options.
	
 -- David Ham <david.ham@imperial.ac.uk>  Tue, 27 May 2008 15:14:08 +0100

spud (0.2.3) unstable; urgency=low

  * Changed python2.5 dependency to python
  * Added spud-preprocess

 -- David Ham <david.ham@imperial.ac.uk>  Fri, 23 May 2008 17:45:54 +0100

spud (0.2.1) unstable; urgency=low

  * Caused package to conflict with and replace python-diamond.

 -- David Ham <david.ham@imperial.ac.uk>  Thu, 15 May 2008 12:11:37 +0100

spud (0.2) unstable; urgency=low

  * Transition to spud source package producing libspud-dev 
    and diamond binary packages.

 -- David Ham <david.ham@imperial.ac.uk>  Tue, 13 May 2008 16:15:09 +0100

spud (0.1b-1) gutsy; urgency=low

  * Bundle the modified Xvif parser with diamond.
  * Lots of bugfixes and new features.

 -- Patrick Farrell <patrick.farrell@imperial.ac.uk>  Mon, 10 Dec 2007 12:21:46 +0000

spud (0.1a-1) unstable; urgency=low

  * source package automatically created by stdeb 0.2.a1

 -- Patrick Farrell <patrick.farrell@imperial.ac.uk>  Mon, 03 Dec 2007 13:26:28 +0000
